package com.artfess.cgpt.purchasing.manager.impl;

import com.artfess.cgpt.purchasing.model.TenderDocumentConfirm;
import com.artfess.cgpt.purchasing.dao.TenderDocumentConfirmDao;
import com.artfess.cgpt.purchasing.manager.TenderDocumentConfirmManager;
import com.artfess.base.manager.impl.BaseManagerImpl;
import com.artfess.uc.api.impl.util.ContextUtil;
import com.artfess.uc.api.model.IGroup;
import com.artfess.uc.api.model.IUser;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 招标/补遗 文件确认表 服务实现类
 *
 * @company artfess.com
 * @author baseli
 * @since 2024-08-15
 */
@Service
public class TenderDocumentConfirmManagerImpl extends BaseManagerImpl<TenderDocumentConfirmDao, TenderDocumentConfirm> implements TenderDocumentConfirmManager {

    @Override
    @Transactional
    public void saveList(List<TenderDocumentConfirm> data) {
        IGroup org = ContextUtil.getCurrentGroup();
        LocalDateTime now = LocalDateTime.now();
        IUser user = ContextUtil.getCurrentUser();
        data.forEach(s->{
            s.setVendorId(org.getGroupId());
            s.setVendorCode(org.getGroupCode());
            s.setVendorName(org.getName());
            s.setConfirmTime(now);
            s.setConfirmUserId(user.getUserId());
            s.setConfirmUserAccount(user.getAccount());
            s.setConfirmUserName(user.getFullname());
        });
        super.saveBatch(data);
    }

}
