package com.artfess.cgpt.supplier.manager;

import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.cgpt.purchasing.model.MatApproval;
import com.artfess.cgpt.supplier.model.BizDeliveryAddress;
import com.artfess.base.manager.BaseManager;
import com.artfess.cgpt.supplier.model.BizSupplierEnterprise;

/**
 * 送货地址管理表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author wsf
 * @since 2024-06-21
 */
public interface BizDeliveryAddressManager extends BaseManager<BizDeliveryAddress> {

    /**
     * 保存或更新数据
     * @param entity
     * @return
     */
    void saveOrUpdateEntity(BizDeliveryAddress entity);

    /**
     * 分页查询数据
     * @param queryFilter
     * @return
     */
    PageList<BizDeliveryAddress> queryByPage(QueryFilter<BizDeliveryAddress> queryFilter);

}
