package com.artfess.cgpt.supplier.manager;


import com.artfess.base.manager.BaseManager;
import com.artfess.base.model.CommonResult;
import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.cgpt.supplier.model.BizSupplierEnterprise;
import com.artfess.cgpt.supplier.model.BizSupplierEvaluation;
import com.artfess.cgpt.supplier.model.BizSupplierOrgBlacklist;

/**
 * 供应商评价表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author 管理员
 * @since 2024-03-27
 */
public interface BizSupplierEvaluationManager extends BaseManager<BizSupplierEvaluation> {

    PageList<BizSupplierEvaluation> queryAllByPage(QueryFilter<BizSupplierEvaluation> queryFilter);

    BizSupplierEvaluation getDetailById(String id);

    /**
     * 保存或更新数据
     * @param entity
     * @return
     */
    void saveOrUpdateEntity(BizSupplierEvaluation entity);

    void removeById(String id);

}
