package com.artfess.cgpt.supplier.manager;

import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.cgpt.qualification.model.BizQualificationLabel;
import com.artfess.cgpt.supplier.model.BizSupplierOrg;
import com.artfess.base.manager.BaseManager;
import com.artfess.cgpt.supplier.model.BizSupplierOrgSupplierType;
import com.artfess.cgpt.supplier.model.BizSupplierType;

import java.util.List;

/**
 * 供应商表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author 管理员
 * @since 2023-12-23
 */
public interface BizSupplierOrgManager extends BaseManager<BizSupplierOrg> {

    PageList<BizSupplierOrg> queryAllByPage(QueryFilter<BizSupplierOrg> queryFilter);

    List<BizSupplierType>  querySupplierType(String id);

    List<BizQualificationLabel> queryQualification(String supplierId);
}
