package com.artfess.cgpt.supplier.manager;

import com.artfess.base.query.PageList;
import com.artfess.base.query.QueryFilter;
import com.artfess.cgpt.qualification.model.BizQualificationLabel;
import com.artfess.cgpt.supplier.model.BizSupplierEnterprise;
import com.artfess.cgpt.supplier.model.BizSupplierOrgQualificationLabel;
import com.artfess.base.manager.BaseManager;

/**
 * 供应商资质信息表，供应商_资质库中间表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author 管理员
 * @since 2023-12-23
 */
public interface BizSupplierOrgQualificationLabelManager extends BaseManager<BizSupplierOrgQualificationLabel> {

    /**
     * 分页查询数据
     * @param queryFilter
     * @return
     */
    PageList<BizSupplierOrgQualificationLabel> queryByPage(QueryFilter<BizSupplierOrgQualificationLabel> queryFilter);

    /**
     * 分页查询数据（联查资质库）
     * @param queryFilter
     * @return
     */
    PageList<BizQualificationLabel> queryQualificationPage(QueryFilter<BizSupplierOrgQualificationLabel> queryFilter);

}
